Name:          hyphen-bg
Version:       4.3
Release:       3mamba
Summary:       Bulgarian hyphenation rules
Group:         System/Internationalization
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://bgoffice.sourceforge.net/
Source:        http://downloads.sourceforge.net/project/bgoffice/OpenOffice.org%20Hyphenation%20BG/%{version}/OOo-hyph-bg-%{version}.zip
License:       GPL, LGPL, MPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
Requires:      libhyphen

%description
Bulgarian hyphenation rules.

%prep
%setup -q -n OOo-hyph-bg-%{version}

%build

for i in ChangeLog Copyright GPL-2.0.txt LGPL-2.1.txt MPL-1.1.txt README.bulgarian; do
  if ! iconv -f utf-8 -t utf-8 -o /dev/null $i > /dev/null 2>&1; then
    iconv -f ISO-8859-2 -t UTF-8 $i > $i.new
    touch -r $i $i.new
    mv -f $i.new $i
  fi
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

echo "UTF-8" > hyph_bg_BG.dic.new
tail -n +2 hyph_bg_BG.dic | iconv -f WINDOWS-1251 -t UTF-8 | tr -d '\r' >> hyph_bg_BG.dic.new
mv hyph_bg_BG.dic.new hyph_bg_BG.dic

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_datadir}/hyphen
cp -p hyph_bg_BG.dic %{buildroot}%{_datadir}/hyphen/

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_datadir}/hyphen/hyph_bg_BG.dic
%doc Copyright GPL-2.0.txt LGPL-2.1.txt MPL-1.1.txt

%changelog
* Tue Oct 24 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3-3mamba
- rebuilt with specfile fixes

* Sun Apr 10 2011 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 4.3-2mamba
- rebuilt

* Sat Mar 19 2011 gil <puntogil@libero.it> 4.3-1mamba
- package created by autospec
